Support domain accounts API
Support domain accounts API
Заголовок раздела «Support domain accounts API»Create an Support domain account
Заголовок раздела «Create an Support domain account»POST /support_domain_accounts###Request
{ "account": { "name": "Name", "sitename": "friendly_name", "...": "..." }}When creating an support domain account these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "currency": "usd", "locale": "en-US", "name": "Example-Account-123", "organization": { "id": 100, "name": "Example Organization", "nodeID": "example-node-id/Organization/100" }, "owner": { "id": 50, "name": "Account Owner Name", "nodeID": "example-node-id/Person/50" }, "plan": "premium", "time_format_24h": true, "time_zone": "Time Zone (Region)", "id": "example-domain-123", "directory_account": { "id": "example-directory", "name": "Example Directory Account" }, "first_login_token": "EXAMPLE1TOKEN2STRING3RANDOM4VALUE5"}The response contains these fields .
currency
Required enum — The Currency field is used to select the currency that is applied to all financial values stored in the account. Valid values are:
:aed: United Arab Emirates Dirham:ars: Argentine Peso:aud: Australian Dollar:brl: Brazilian Real:btc: Bitcoin:cad: Canadian Dollar:chf: Swiss Franc:cny: Chinese Yuan:cop: Colombian Peso:czk: Czech Republic Koruna:dkk: Danish Krone:dzd: Algerian Dinar:eur: Euro:gbp: British Pound:hkd: Hong Kong Dollar:hrk: Croatian Kuna:huf: Hungarian Forint:idr: Indonesian Rupiah:ils: Israeli Shekel:inr: Indian Rupee:jpy: Japanese Yen:krw: Korean Won:mxn: Mexican Peso:ngn: Nigerian Naira:nok: Norwegian Krone:nzd: New Zealand Dollar:omr: Omani Rial:pkr: Pakistani Rupee:php: Philippine Peso:pln: Polish Zloty:rub: Russian Rouble:sek: Swedish Krona:sgd: Singapore Dollar:thb: Thai Baht:try: Turkish Lira:twd: Taiwan Dollar:usd: United States Dollar:zar: South African Rand
directory_account
Readonly reference to Account — The Directory account field contains a value only for support domain accounts.
id
Readonly string — The unique ID of the account.
sitename
Required string — The unique sitename of the account.
locale
Required enum — The Language field is used to select the language in which the records of the account are stored. It is also the default language that is applied to new Person records.
name
Required string (max 128) — The Name field is used to enter the full name of the account.
organization
Readonly reference to Organization — The Organization field is set to the organization for which the account was prepared.
owner
Required reference to Person — The Owner field is used to select the account administrator who is allowed to update the billing information and settings of the account.
plan
Required enum — The Plan field is used to select the Plan for the account. Valid values are:
basicpremiumpremium_plus
time_format_24h
Optional
boolean
, default:
true
— The Time format field is the default format for displaying time values that is applied to new Person records. When
true
, times are displayed within the R-Service service in the 24-hour format, otherwise the 12-hour format is applied.
time_zone
Required time_zone — The Time zone field is used to select the time zone that applies to the account’s analytics and report data. It is also the default time zone that is applied to new Person records.
first_login_token
Readonly string (32) — This token is used for the first login.